import { _ as g, e as _ } from "./55f8e851.js";
var d = g, p = function() {
  try {
    var r = d(Object, "defineProperty");
    return r({}, "", {}), r;
  } catch {
  }
}(), o = p, v = o;
function P(r, e, a) {
  e == "__proto__" && v ? v(r, e, {
    configurable: !0,
    enumerable: !0,
    value: a,
    writable: !0
  }) : r[e] = a;
}
var f = P, h = f, O = _, V = Object.prototype, A = V.hasOwnProperty;
function $(r, e, a) {
  var i = r[e];
  (!(A.call(r, e) && O(i, a)) || a === void 0 && !(e in r)) && h(r, e, a);
}
var b = $, N = b, m = f;
function q(r, e, a, i) {
  var l = !a;
  a || (a = {});
  for (var t = -1, u = e.length; ++t < u; ) {
    var n = e[t], s = i ? i(a[n], r[n], n, a, r) : void 0;
    s === void 0 && (s = r[n]), l ? m(a, n, s) : N(a, n, s);
  }
  return a;
}
var x = q;
export {
  o as _,
  x as a,
  b,
  f as c
};
